Bug 193095 - [NEW PORT] security/py-PyJWT: A Python implementation of JSON Web Token draft 01
Summary: [NEW PORT] security/py-PyJWT: A Python implementation of JSON Web Token draft 01
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Kubilay Kocak
URL:
Keywords:
Depends on:
Blocks: 193096
  Show dependency treegraph
 
Reported: 2014-08-28 14:34 UTC by Muhammad Moinur Rahman
Modified: 2014-09-17 07:49 UTC (History)
2 users (show)

See Also:


Attachments
shar for py-PyJWT-0.2.1 (1.57 KB, text/plain)
2014-08-28 14:34 UTC, Muhammad Moinur Rahman
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Muhammad Moinur Rahman freebsd_committer 2014-08-28 14:34:40 UTC
Created attachment 146451 [details]
shar for py-PyJWT-0.2.1

A Python implementation of [JSON Web Token draft 01]

WWW: http://pypi.python.org/pypi/PyJWT

Poudriere logs:
http://pdr.s.ubze.ro/bulk/latest-per-pkg/py27-PyJWT/0.2.1/
Comment 1 Kubilay Kocak freebsd_committer freebsd_triage 2014-08-28 15:31:49 UTC
Warren (CC'd) has an open review request open for py-jwt, please coordinate the outstanding review changes for that port, and attach it here

https://reviews.freebsd.org/D487
Comment 2 Muhammad Moinur Rahman freebsd_committer 2014-08-28 15:45:36 UTC
The reviews pending seems like following:

1. PORTNAME=lowercase(upstream_name)
py-pyjwt for svn dirname
Note: You'll probably need to set DISTNAME to get distfiles/fetching done once PORTNAME is lowercased
***Need to fix in my patch.
2. LICENSE and LICENSE_FILE please :) If not for the License Framework, then for Python Ports and Team. (because we care, together, as a team)

Personally speaking, my own opinions and feelings about liability or effectiveness of a particular feature don't preclude me from participating or warrant standing-off on that basis alone.
*** Already in my patch
3. RSASSA-PKCS1-v1_5 signature support
*** Already in my patch
4. "=" is sufficient for option_*_DEPENDS
*** Already in my patch

So should I submit another patch making the changes?
Comment 3 Warren Block freebsd_committer 2014-08-28 15:50:57 UTC
I have made most of these changes already, will try to update the review later today.
Comment 4 Muhammad Moinur Rahman freebsd_committer 2014-08-28 15:53:38 UTC
Hi Warren,
One more thing is I can see you are still using USE_PYTHON=yes and other PYTHON related variables. Please replace them with
USES=		python
USE_PYTHON=	distutils autoplist

As those are depreciating :).

(In reply to Warren Block from comment #3)
> I have made most of these changes already, will try to update the review
> later today.
Comment 5 Muhammad Moinur Rahman freebsd_committer 2014-09-07 10:47:45 UTC
Any updates about the commit?
Comment 6 Kubilay Kocak freebsd_committer freebsd_triage 2014-09-07 12:46:54 UTC
Feel free to grab the review diff, update it based on the feedback there, and then update the patch here.
Comment 7 commit-hook freebsd_committer 2014-09-17 01:26:01 UTC
A commit references this bug:

Author: wblock
Date: Wed Sep 17 01:25:46 UTC 2014
New revision: 368352
URL: http://svnweb.freebsd.org/changeset/ports/368352

Log:
  New port: www/py-pyjwt, a Python implementation of JSON Web Tokens.

  PR:		193095
  Reviewed by:	koobs
  Approved by:	koobs
  Review:		D487

Changes:
  head/www/Makefile
  head/www/py-pyjwt/
  head/www/py-pyjwt/Makefile
  head/www/py-pyjwt/distinfo
  head/www/py-pyjwt/pkg-descr